Subject: bug#79409: 31.0.50; project.el uses define-completion-category but depends on 26.1

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Sep 2025 22:01:03 +0300

On 08/09/2025 19:18, Daniel Mendler wrote:
> Eshel Yaron<[email-masked]> writes:
> 
>> Daniel Mendler writes:
>>
>>> Since a few days ago project.el uses define-completion-category which is
>>> not yet available on old Emacs versions. project.el is published on ELPA
>>> and depends on Emacs 26.1.
>> Right, thanks, should now be fixed on master (with commit 6b6cfa8e40b).
> Thanks, I didn't see that you've already sent a mail to devel a short
> while before my report. I wonder if some fallback code is needed, such
> that project-buffer is treated like the buffer completion category on
> older Emacs versions?

Thanks for the report.

I've asked what Stefan thinks about a fallback route in this case.

Maybe it would be a good use for the 'compat' dependency, in addition to 
the FR in bug#79327.